This directory contains a slapd overlay, allop.
The intended usage is as a global overlay for use with those clients
that do not make use of the RFC3673 allOp ("+") in the requested 
attribute list, but expect all operational attributes to be returned.
Usage: add to slapd.conf(5)

moduleload	path/to/allop.so

overlay		allop
allop-URI	<ldapURI>

if the allop-URI is not given, the rootDSE, i.e. "ldap:///??base",
is assumed.

No Makefile is provided. Use a command line similar to:

gcc -shared -I../../../include -I../../../servers/slapd -Wall -g \
	-o allop.so allop.c

to compile this overlay.

---
Copyright 2004-2012 The OpenLDAP Foundation. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted only as authorized by the OpenLDAP
Public License.

